Name:       ibus-table-tv
Version:    1.2.0.20100111
Release:    1%{?dist}
Summary:    The Thai and Viqr (Vietnamese) tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://cloud.github.com/downloads/kaio/ibus-table-tv/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2.0.20090912-3
Requires(post):   ibus >= 1.2, ibus-table >= 1.2.0.20090912-3
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2.0.20090912-3

%description
The Thai and Viqr (Vietnamese) tables for Ibus-Table.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-thai \
    --enable-viqr
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

# %find_lang %{name}

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/thai.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/viqr.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/icons/viqr.png
%{_datadir}/ibus-table/tables/thai.db
%{_datadir}/ibus-table/tables/viqr.db

%changelog
* Thu Jan 07 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100111-1
- The first version.
- Combine Thai and Viqr tables into this package.
